<template>
  <button class="items-center w-1/3 h-12 bg-red-300 mb-4 pt-2 font-bold text-white text-xl text-center hover:bg-red-400" @click="onClick" >
    {{ number - 1 }}
  </button>
</template>

<script>
export default {
  props: {
    number: {
      type: Number,
      required: true,
      default: null
    },
  },

  methods: {
      onClick() {
        this.$emit('click', this.number - 1)
      }
    },
}
</script>
